{# Copyright 2020 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

{% extends "groups/base.html" %}

{% block breadcrumbs %}
  {{ super() }}
  {% snippet "breadcrumb", url=url_for("groups.new_group"), title=title %}
{% endblock %}

{% block content %}
  <div class="card">
    <span class="card-header">{{ title }}</span>
    <div class="card-body">
      <submission-form enctype="multipart/form-data">
        {{ render_csrf() }}

        {% include "groups/snippets/base_group_form.html" %}

        <file-field :field="{{ json_field(form.image) }}"
                    :mimetypes="{{ config['IMAGE_MIMETYPES'] }}"
                    :max-size="{{ config['MAX_IMAGE_SIZE'] }}">
        </file-field>
        <submit-field :field="{{ json_field(form.submit) }}"></submit-field>
      </submission-form>
    </div>
  </div>
{% endblock %}

{% block scripts %}
  <script type="application/javascript" nonce="{{ csp_nonce() }}">
    new Vue({
      el: '#vm',
      data: {
        title: '',
        titleField: kadi.js_resources.title_field,
      },
      mounted() {
        this.title = this.titleField.data;
      },
    });
  </script>
{% endblock %}
